libunibreak: LineBreakContext Struct Reference

libunibreak 6.1

Loading...
Searching...
No Matches
Data Fields
LineBreakContext Struct Reference

Context representing internal state of the line breaking algorithm. More...

`#include <linebreakdef.h>`

Collaboration diagram for LineBreakContext:
[legend]

## Data Fields
const char * | lang
| Language name.
const struct LineBreakProperties * | lbpLang
| Pointer to LineBreakProperties.
enum LineBreakClass | lbcCur
| Breaking class of current codepoint.
enum LineBreakClass | lbcNew
| Breaking class of next codepoint.
enum LineBreakClass | lbcLast
| Breaking class of last codepoint.
unsigned char | eaNew
| East Asian Width of next codepoint.
unsigned char | eaLast
| East Asian Width of last codepoint.
bool | fLb8aZwj
| Flag for ZWJ (LB8a)
bool | fLb21aHebrew
| Flag for Hebrew letters (LB21a)
int | cLb30aRI
| Count of RI characters (LB30a)

## Detailed Description

Context representing internal state of the line breaking algorithm.

This is useful to callers if incremental analysis is wanted.

## Field Documentation

## ◆ cLb30aRI

int LineBreakContext::cLb30aRI

Count of RI characters (LB30a)

## ◆ eaLast

unsigned char LineBreakContext::eaLast

East Asian Width of last codepoint.

## ◆ eaNew

unsigned char LineBreakContext::eaNew

East Asian Width of next codepoint.

## ◆ fLb21aHebrew

bool LineBreakContext::fLb21aHebrew

Flag for Hebrew letters (LB21a)

## ◆ fLb8aZwj

bool LineBreakContext::fLb8aZwj

Flag for ZWJ (LB8a)

## ◆ lang

const char* LineBreakContext::lang

Language name.

## ◆ lbcCur

enum LineBreakClass LineBreakContext::lbcCur

Breaking class of current codepoint.

## ◆ lbcLast

enum LineBreakClass LineBreakContext::lbcLast

Breaking class of last codepoint.

## ◆ lbcNew

enum LineBreakClass LineBreakContext::lbcNew

Breaking class of next codepoint.

## ◆ lbpLang

const struct LineBreakProperties* LineBreakContext::lbpLang

Pointer to LineBreakProperties.

The documentation for this struct was generated from the following file:

- linebreakdef.h